## NAME

v.in.scsgef - Converts SCS Geographic Exchange Format (SCS-GEF) ASCII data into a GRASS vector file.
(SCS GRASS Vector Program)

## SYNOPSIS

v.in.scsgef
v.in.scsgef help
v.in.scsgef [ -o] [gef=name] [output=name] [cat=name]

## DESCRIPTION

v.in.scsgef allows a user to create a GRASS vector file from a SCS-GEF format ASCII file.

  1. The program will first request the name of the SCS-GEF file to be read in, it expects to find the data in the current directory. It is suggested to create a gef directory and put all SCS-GEF data there.

  2. The program will then request the name of a GRASS vector file.

  3. The program will then request the name of a SUBJECT file. A subject file will be used to assign GRASS category codes to the SCS-GEF data. It is structured the same as a dig_cats category file. It is suggested that a SUBJ directory be created in the GRASS location and a file containing all SCS-GEF text labels by category be created. This will be required to provide consistancy across several maps (quads) within one location. The user may use the vi text editor or the SCS macro make_subject to create it.

  4. The program will then read the SCSGEF header information, interactively present information that was available, and request additional data of the user. These questions are :

  Name of their organization. (from SCS-GEF)
  Digitized Date. (from SCS-GEF)
  Map Name. (from SCS-GEF)
  Map Location. (from SCS-GEF)
  Other Information. (from SCS-GEF)
  State FIPS code.
  County FIPS code.
  Present GEF Coord. System (table, stplane, ll, utm).
  Coordinate System Desired (utm, stplane, ll, albers).

  The program will then actively read the SCS-GEF data file and process it,

  scripts contains SCS macro make_1_gef. This macro makes one file out of the three (3) files found in SCS-GEF (see SCS-GEF technical specifications for more information). The macro must be run on each data set BEFORE v.in.scs.gef.

  ## COMMAND LINE OPTIONS

  ### Flags:

-o
  The SCS-GEF is in the OLD format (24 char).

  ### Parameters:

gef=name
  ASCII SCS-GEF file name.
output=name
  Vector file name.
cat=name
  Category file name.

  ## SEE ALSO

  make_1_gef, make_subject, v.import

  ## AUTHOR

  R.L. Glenn, USDA, SCS, NHQ-CGIS

  Last changed: $Date: 2002/01/25 05:45:35 $